commit:     44c0b224e95275658f9c364834df562a00877762
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 10 08:35:58 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Mar 10 08:35:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44c0b224

dev-libs/link-grammar: add 5.10.4

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-libs/link-grammar/Manifest                   |   1 +
 dev-libs/link-grammar/link-grammar-5.10.4.ebuild | 113 +++++++++++++++++++++++
 2 files changed, 114 insertions(+)

diff --git a/dev-libs/link-grammar/Manifest b/dev-libs/link-grammar/Manifest
index 056fc5165ccc..38689ac58720 100644
--- a/dev-libs/link-grammar/Manifest
+++ b/dev-libs/link-grammar/Manifest
@@ -1,2 +1,3 @@
 DIST link-grammar-5.10.2.tar.gz 3853934 BLAKE2B 
d2cb64a6b0146f40ce5b197c21ded94f1256360615c2332a1c546f6b6c71c98d2500e97b0fcabae964377a04143fa13ba3af324f2de729cfccd280e53f6fb7c3
 SHA512 
71bc881cb628fe1898403024d8e949b2fbf44f5d20445f6fff7bb6038646840556d734434beb7eb43b63f661e18333657deaeb1b8c96b50d5fe3b6ef727565c2
+DIST link-grammar-5.10.4.tar.gz 4593602 BLAKE2B 
0515aed27ae8df85ceddb9685ce90db2b6e7671235b9b445b6728b1ac417d6d43b3705566066ff9735fc98c32746342c224f2399bb0f2573784f20b5f998e7be
 SHA512 
a215694f76e15286c478884ea8a13b32976d06ea45d10897dc1b303f256a2c0af94c9f90da26b314ce5e03009b494ab526c729b66f2b1ed46ff3e8b02cb6fd08
 DIST link-grammar-5.8.0.tar.gz 3782125 BLAKE2B 
8027e91212d3269b8e3ceaa5c837ad961cd2dfd92849d3989094ab771d97d30f4b228cfc1e32e9e843676aa439d790fb444823f7db69004538ad068c7bf28a45
 SHA512 
1262e2faf1de6f05a62f9d622f43c02253b4c241342df9b443a70ae04bd328d1fc49cd2f91c881e694f67215005833fec8b1fa9d395b1e547985b376c7415d2e

diff --git a/dev-libs/link-grammar/link-grammar-5.10.4.ebuild 
b/dev-libs/link-grammar/link-grammar-5.10.4.ebuild
new file mode 100644
index 000000000000..9cd72d301f29
--- /dev/null
+++ b/dev-libs/link-grammar/link-grammar-5.10.4.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit autotools python-r1 out-of-source
+
+DESCRIPTION="A Syntactic English parser"
+HOMEPAGE="https://www.abisource.com/projects/link-grammar/ 
https://www.link.cs.cmu.edu/link/";
+SRC_URI="https://www.abisource.com/downloads/${PN}/${PV}/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="0/5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="aspell +hunspell python" # pcre
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# XXX: sqlite is automagic
+# Does not build with >=sci-mathematics/minisat-2, bug #593662
+# add pcre support: pcre? ( dev-libs/libpcre )
+RDEPEND="
+       dev-db/sqlite:3
+       aspell? ( app-text/aspell )
+       hunspell? ( app-text/hunspell )
+       python? ( ${PYTHON_DEPS} )
+       !sci-mathematics/minisat"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-lang/swig:0
+       sys-devel/autoconf-archive
+       virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${PN}-5.8.1-lld.patch )
+
+pkg_setup() {
+       if use aspell && use hunspell; then
+               ewarn "You have enabled 'aspell' and 'hunspell' support, but 
both cannot coexist,"
+               ewarn "only hunspell will be built. Press Ctrl+C and set only 
'aspell' USE flag if"
+               ewarn "you want aspell support."
+       fi
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+my_src_configure() {
+       local myconf=(
+               --disable-maintainer-mode
+               --disable-editline
+               # java is hopelessly broken, invokes maven at build time (bug 
#806157)
+               --disable-java-bindings
+               --disable-perl-bindings
+               --disable-static
+               --enable-sat-solver=bundled
+               $(use_enable aspell)
+               $(use_enable hunspell)
+               $(usev hunspell 
--with-hunspell-dictdir="${EPREFIX}"/usr/share/myspell)
+               # $(use_enable pcre regex-tokenizer)
+               # $(use_with pcre)
+       )
+
+       econf \
+               --disable-python-bindings \
+               "${myconf[@]}"
+
+       if use python; then
+               python_configure() {
+                       econf \
+                               --enable-python-bindings \
+                               "${myconf[@]}"
+               }
+               python_foreach_impl run_in_build_dir python_configure
+       fi
+}
+
+my_src_compile() {
+       local -x MAIN_BUILD_DIR="${BUILD_DIR}"
+       default
+
+       if use python; then
+               python_compile() {
+                       emake -C bindings/python \
+                               VPATH="${S}:${MAIN_BUILD_DIR}" \
+                               
_clinkgrammar_la_DEPENDENCIES="${MAIN_BUILD_DIR}"/link-grammar/liblink-grammar.la
 \
+                               
_clinkgrammar_la_LIBADD="${MAIN_BUILD_DIR}"/link-grammar/liblink-grammar.la
+               }
+               python_foreach_impl run_in_build_dir python_compile
+       fi
+}
+
+my_src_install() {
+       local -x MAIN_BUILD_DIR="${BUILD_DIR}"
+       default
+
+       if use python; then
+               python_install() {
+                       emake -C bindings/python \
+                               VPATH="${S}:${MAIN_BUILD_DIR}" \
+                               
_clinkgrammar_la_DEPENDENCIES="${MAIN_BUILD_DIR}"/link-grammar/liblink-grammar.la
 \
+                               
_clinkgrammar_la_LIBADD="${MAIN_BUILD_DIR}"/link-grammar/liblink-grammar.la \
+                               DESTDIR="${D}" \
+                               install
+               }
+               python_foreach_impl run_in_build_dir python_install
+       fi
+
+       # no static archives
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to